Skip to main content
PUT
/
user
/
{username}
Update user resource.
curl --request PUT \
  --url https://petstore3.swagger.io/api/v3/user/{username} \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 10,
  "username": "theUser",
  "firstName": "John",
  "lastName": "James",
  "email": "john@email.com",
  "password": "12345",
  "phone": "12345",
  "userStatus": 1
}
'
import requests

url = "https://petstore3.swagger.io/api/v3/user/{username}"

payload = {
    "id": 10,
    "username": "theUser",
    "firstName": "John",
    "lastName": "James",
    "email": "john@email.com",
    "password": "12345",
    "phone": "12345",
    "userStatus": 1
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    id: 10,
    username: 'theUser',
    firstName: 'John',
    lastName: 'James',
    email: 'john@email.com',
    password: '12345',
    phone: '12345',
    userStatus: 1
  })
};

fetch('https://petstore3.swagger.io/api/v3/user/{username}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "code": "<string>",
  "message": "<string>"
}

Path Parameters

username
string
required

name that need to be deleted

Body

Update an existent user in the store

id
integer<int64>
Example:

10

username
string
Example:

"theUser"

firstName
string
Example:

"John"

lastName
string
Example:

"James"

email
string
Example:

"john@email.com"

password
string
Example:

"12345"

phone
string
Example:

"12345"

userStatus
integer<int32>

User Status

Example:

1

Response

successful operation